## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVisibilityCullerListener Struct Reference
[Visibility]

Implement this interface when you want to get notified about visible objects detected by the visibility cullers. More...

`#include <iengine/viscull.h>`

Inheritance diagram for iVisibilityCullerListener:

[legend]
List of all members.

## Public Member Functions

virtual void | ObjectVisible (iVisibilityObject *visobject, iMeshWrapper *mesh, uint32 frustum_mask)=0
| This function is called whenever the visibilty culler discovers a new visible mesh.

## Detailed Description

Implement this interface when you want to get notified about visible objects detected by the visibility cullers.

Definition at line 68 of file viscull.h.

## Member Function Documentation

virtual void iVisibilityCullerListener::ObjectVisible | ( | iVisibilityObject * | visobject,
|  | iMeshWrapper * | mesh,
|  | uint32 | frustum_mask
| ) | `[pure virtual]`

| This function is called whenever the visibilty culler discovers a new visible mesh. The frustum_mask is a mask that is compatible with the current set of clip planes in the iRenderView. The mask will be true for every relevant plane. This can be used to further optimize clipping testing.

The documentation for this struct was generated from the following file:

- iengine/viscull.h